<!DOCTYPE html>
<html>
    <head>
      <meta charset="utf-8" />
      <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
        <title>Signup</title>
        {% load static %}
        <link rel="stylesheet" type="text/css" href="{%  static 'css/common.css'%}" >
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    </head>

<body class="text-center" style="background-color: #f5f5f5;">

            <form class="form-common"  method="post">
                {% csrf_token %}



                    {{ form.username }}<br>
                    {{ form.email }}<br>
                    {{ form.password1 }}<br>
                    {{ form.password2 }}<br>



                    <br />
              <span class="help-block">En appuyant sur Inscription, vous acceptez nos Conditions générales, notre Politique d’utilisation des données et notre Politique d’utilisation des cookies.</span>
              <button class="btn btn-lg btn-primary btn-block signup-btn" type="submit" id="validate">Inscription</button>
                {{ form.errors }}
                </br>
                <div class="a-divider a-divider-break">
                   <h5> Vous avez déja un compte ? </h5>
                </div>

              <a tabindex="6"   class="a-button-text" role="button">
                  Connectez Vous
              </a>

            </form>

<script>
						/* Because i didnt set placeholder values in forms.py they will be set here using vanilla Javascript
		//We start indexing at one because CSRF_token is considered and input field
		 */

		//Query All input fields
		var form_fields = document.getElementsByTagName('input')
		form_fields[1].placeholder='Username..';
		form_fields[2].placeholder='Email..';
		form_fields[3].placeholder='Enter password...';
		form_fields[4].placeholder='Re-enter Password...';


		for (var field in form_fields){
			form_fields[field].className += ' form-control'
		}
	</script>


</body>
</html>




